//*****************************************************************************
//* OpenLog DRIVER FOR PIC32MX595F512H
//* WRITTEN BY FRED EADY
//* NO USB SUPPORT IN THIS VERSION
//* COMPILED USING XC32 v1.34 - MPLABX v3.05
//* LAST UPDATE	08/17/2015
//* NOTES:
//*****************************************************************************
#define _SUPPRESS_PLIB_WARNING
#include <xc.h>
#include <plib.h>
#include "tdelay.h"

//******************************************************************************
//* MS DELAY
//******************************************************************************
void tdelayms(WORD ms)
{
	unsigned int msDelayTime, currentTickCnt;
	currentTickCnt = ReadCoreTimer();
	msDelayTime = (CoreTicksPerMs * ms) + currentTickCnt;

        while((ReadCoreTimer()) < msDelayTime);
}
//******************************************************************************
//* uS DELAY
//******************************************************************************
void tdelayus(WORD us)
{
	unsigned int usDelayTime, currentTickCnt;
	currentTickCnt = ReadCoreTimer();
	usDelayTime = (CoreTicksPeruS * us) + currentTickCnt;
	while((ReadCoreTimer()) < usDelayTime);
}

