//*****************************************************************************
//* OpenLog DRIVER FOR PIC32MX595F512H
//* WRITTEN BY FRED EADY
//* NO USB SUPPORT IN THIS VERSION
//* COMPILED USING XC32 v1.34 - MPLABX v3.05
//* LAST UPDATE	08/17/2015
//* NOTES:
//*****************************************************************************

#ifndef TDELAY_H
#define	TDELAY_H

#ifdef	__cplusplus
extern "C" {
#endif

void tdelayms(WORD ms);
void tdelayus(WORD us);

#define GetSystemClock()            80000000UL
#define GetPeripheralClock()        80000000UL
#define CoreTicksPerMs              (GetSystemClock() / 2000)

#define CoreTicksPeruS              (GetSystemClock() / 2000000UL)



#ifdef	__cplusplus
}
#endif

#endif	/* TDELAY_H */

